Subject: Re: bug#18912: 24.4; mode-line corruption on graphical frames in dual-headed display

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Nov 2014 18:00:08 +0200

> Date: Tue, 04 Nov 2014 06:25:09 -0200
> From: Bruno Félix Rezende Ribeiro <[email-masked]>
> CC: [email-masked]
> 
> Bruno Félix Rezende Ribeiro wrote:
> > The conclusion we reach is that it's not an Emacs bug, despite the fact
> > that this weirdness only manifests in Emacs.
> 
> Just occurred to me that it might be possible for that to be a bug
> within Emacs which is only triggered when acceleration is enabled.  WDYT?

You'd need to explain how Emacs succeeds in that, when it uses Xlib
and higher-level APIs, which AFAIK are unaware of any accelerations.
Emacs itself is certainly unaware of that, and does the same things
regardless.

Moreover, the fact that running xrefresh, which is not an Emacs
command, fixes the display is yet another argument against this
hypothesis.  xrefresh doesn't communicate with Emacs, so the only way
it could fix the display is if the data supplied by Emacs was correct.